<?php
PHP_HEAD_EXTRA

require_once("LIB_PATH_class.dba.inc.php");
require_once("CONFIG_PATH_conf.dba.inc.php");
require_once("LIB_PATH_static.session.inc.php");
validate_session();

if(IsSet($_SESSION['flash'])) {
	echo("<div id=\"flash\"><b>Notice:</b><br />\n");
	echo($_SESSION['flash']);
	unset($_SESSION['flash']);
	echo("</div>\n");
}

if(IsSet($_GET[offset])) {
	$offset = $_GET[offset];
} else {
	$offset = 0;
}
/*
$list_limit = get_config_value('list_limit');

switch($_GET[order]) {
	case local_part:
		$order_clause = " ORDER BY local_part, domain";
		$order_link_arg = "local_part";
		break;
	case domain:
		$order_clause = " ORDER BY domain, local_part";
		$order_link_arg = "domain";
		break;
	case forward:
		$order_clause = " ORDER BY forward, domain, local_part";
		$order_link_arg = "forward";
		break;
	case name:
		$order_clause = " ORDER BY name, domain, local_part";
		$order_link_arg = "name";
		break;
	case is_away:
		$order_clause = " ORDER BY is_away, domain, local_part";
		$order_link_arg = "is_away";
		break;
	case spam_check:
		$order_clause = " ORDER BY spam_check, domain, local_part";
		$order_link_arg = "spam_check";
		break;
	case is_enabled:
		$order_clause = " ORDER BY is_enabled, domain, local_part";
		$order_link_arg = "is_enabled";
		break;
	case customer_id:
		$order_clause = " ORDER BY customer_id, domain, local_part";
		$order_link_arg = "customer_id";
		break;
	case created_at:
		$order_clause = " ORDER BY created_at, domain, local_part";
		$order_link_arg = "created_at";
		break;
	case updated_at:
		$order_clause = " ORDER BY updated_at, domain, local_part";
		$order_link_arg = "updated_at";
		break;
	default:
		$order_clause = " ORDER BY domain, local_part";
}
*/
PHP_ORDER_LIMIT

$query = "SELECT * FROM SQL_TABLE_NAME".$order_clause." LIMIT ".$offset.",".$list_limit;
$query_c = "SELECT count(*) FROM SQL_TABLE_NAME";

$num = $dba->query_first($query_c);
if($num[0] > 0) { 
	$num_result_pages = $num[0] / $list_limit;
} else {
	$num_result_pages = 1;
	$query = "SELECT * FROM SQL_TABLE_NAME";
}
$results = $dba->query($query);
?>
<html>
<head>
<title>APPLICATION_TITLE - List categories</title>
<link rel="stylesheet" type="text/css" media="screen" href="CSS_PATH" /> 
HTML_HEADER_EXTRA
</head>
<body>
BODY_HEADER_EXTRA
<table border="1">
HTML_TABLE_TEXT
</table>
<br />
<!-- Navigation //-->
<?php
if($num > $list_limit_per_page) {
	if($offset > 0) {
		$newoffset = max(0,($offset-$list_limit));
		echo("<a href=\"list.php?offset=".$newoffset."&order=".$order_link_arg."\">&laquo; Previous</a> | ");
	} else {
		echo("&laquo; Previous | ");
	}
	for($i = 0; $i < $num_result_pages; $i++) {
		$newoffset = $i * $list_limit;
		if($offset == $newoffset) {
			echo("<b>".($i+1)."</b> | ");
		} else {
			echo("<a href=\"list.php?offset=".$newoffset."&order=".$order_link_arg."\">".($i+1)."</a> | ");
		}
	}
	$newoffset = $offset + $list_limit;
	if($newoffset < $num[0]) {
		echo("<a href=\"list.php?offset=".$newoffset."&order=".$order_link_arg."\">Next &raquo;</a>");
	} else {
		echo("Next &raquo;");
	}
}
?>
<br />
<br />
<a href="new.php">Create new Entry</a>
BODY_FOOTER_EXTRA
</body>
</html>
